import xarray as xr
import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

# load yearly mean dataset
def load_yearmean_dataset(file: str, startdate: str):
    ds = xr.load_dataset(file)
    ds["time"] = pd.date_range(startdate, freq="ME", periods=ds.time.size)
    return ds.groupby(ds.time.dt.year).mean()

# compute global mean
def globalmean(ds):
    weights = np.cos(np.deg2rad(ds.lat))
    weights.name = "weights"
    ds_weighted = ds.weighted(weights)
    return ds_weighted.mean(("lon", "lat"))

def beautify_timeseries(ax, yaxis0):
    """ Makes plots of time series  nicer in terms of axes and labeling"""
    # adjust spines
    ax = plt.gca()
    ax.spines['top'].set_color('none')
    ax.spines['right'].set_color('none')
    ax.xaxis.set_ticks_position('bottom')
    ax.spines['bottom'].set_position(('data',yaxis0))